Welcome to TP-LINK Tech Support Forum
+ Reply to Thread
Results 1 to 2 of 2

Thread: Vista

  1. #1

    Vista

    Model :

    Hardware Version : Not Clear

    Firmware Version :

    ISP : [/COLOR]

    Just bought a Archer T4U and didn't realise my Dad was running Vista, is it possible to make the USB hub work?

  2. #2
    Note: Does not require drivers for Windows 10/ 8.1 / 8 / 7 / Vista / XP or Mac OS X and Linux systems. Backward compatible with USB 2.0/1.1 and the actual transmission speed is limited by the setting of the device connected.


 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts

Copyright 1996-2017 TP-LINK Technologies Co., Ltd. All rights reserved.